1

I have postgresql 9.1 and postgis 2.0 on ubuntu 12.04 currently installed, but when I try to execute the following command:

psql -d routing_test
ALTER EXTENSION pgrouting UPDATE TO "2.2.0";

output is the following:

ERROR:  extension "pgrouting" has no update path from version "2.0.0" to version "2.2.0"

Here is a screenshot from a bug in version 2.0.0, which I hope to fix with updating: enter image description here

1 Answer 1

2

You sure you have pgrouting 2.2.0 installed, you might have a newer or older.

If you do:

ALTER EXTENSION pgrouting UPDATE;

It will update to latest version you have installed.

Alternatively you could just drop and recreate. It will warn if you have dependencies on pgrouting and won't allow drop.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.